## okular 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(okular VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "5.15.2") # Remember to update the QT_DEPRECATED_WARNINGS_SINCE below
set(KF5_REQUIRED_VERSION "5.92.0") # Remember to update the KF_DEPRECATED_WARNINGS_SINCE below

set(OKULAR_UI "" CACHE STRING "Which Okular user interface to build. Possible values: desktop, mobile, both. Default: desktop (except on Android, where it is 'mobile')")

option(FORCE_NOT_REQUIRED_DEPENDENCIES "List (semicolon-separated) of dependencies that will be downgraded from REQUIRED to RECOMMENDED")

if (ANDROID AND (NOT FORCE_NOT_REQUIRED_DEPENDENCIES) AND (NOT FORCE_NOT_REQUIRED_DEPENDENCIES STREQUAL ""))
    set(FORCE_NOT_REQUIRED_DEPENDENCIES "KF5Wallet;KF5DocTools;Qt5Qml;TIFF;JPEG;LibSpectre;KF5KExiv2;CHM;KF5KHtml;LibZip;DjVuLibre;EPub;Discount;")
endif()

function(set_okular_optional_package_properties _name _props)
    if(NOT "${_props}" STREQUAL "PROPERTIES")
        message(FATAL_ERROR "PROPERTIES keyword is missing in set_okular_optional_package_properties() call.")
    endif()

    set(options) # none
    set(oneValueArgs DESCRIPTION URL PURPOSE)
    set(multiValueArgs) # none

    CMAKE_PARSE_ARGUMENTS(_SPP "${options}" "${oneValueArgs}" "${multiValueArgs}"  ${ARGN})

    if(_SPP_UNPARSED_ARGUMENTS)
        message(FATAL_ERROR "Unknown keywords given to set_okular_optional_package_properties(): \"${_SPP_UNPARSED_ARGUMENTS}\"")
    endif()

    set(DEPENDENCY_TYPE "REQUIRED")
    if (${_name} IN_LIST FORCE_NOT_REQUIRED_DEPENDENCIES)
        set(DEPENDENCY_TYPE "RECOMMENDED")
    endif()
    set_package_properties(${_name} PROPERTIES
        TYPE ${DEPENDENCY_TYPE}
        DESCRIPTION ${_SPP_DESCRIPTION}
        URL ${_SPP_URL}
        PURPOSE "${_SPP_PURPOSE} You can make the dependency optional adding ${_name} to the FORCE_NOT_REQUIRED_DEPENDENCIES cmake option"
    )
endfunction()

if(OKULAR_UI STREQUAL "")
    if(ANDROID)
        set(OKULAR_UI "mobile")
    else()
        set(OKULAR_UI "desktop")
    endif()
endif()

if(OKULAR_UI STREQUAL "desktop" OR OKULAR_UI STREQUAL "both")
    set(BUILD_DESKTOP ON)
else()
    set(BUILD_DESKTOP OFF)
endif()
if(OKULAR_UI STREQUAL "mobile" OR OKULAR_UI STREQUAL "both")
    set(BUILD_MOBILE ON)
else()
    set(BUILD_MOBILE OFF)
endif()

if (BUILD_MOBILE)
    set(QT_REQUIRED_VERSION "5.15.2")
endif()

find_package(ECM ${KF5_REQUIRED_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMAddAppIcon)
include(CMakePackageConfigHelpers)
include(ECMSetupQtPluginMacroNames)

# append the plugins from the install tree folder to the QT_PLUGIN_PATH
if(UNIX)
    set(ENV{QT_PLUGIN_PATH} "$ENV{QT_PLUGIN_PATH}:${KDE_INSTALL_FULL_QTPLUGINDIR}")
elseif(WIN32)
    set(ENV{QT_PLUGIN_PATH} "$ENV{QT_PLUGIN_PATH};${KDE_INSTALL_FULL_QTPLUGINDIR}")
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX OKULAR
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/core/version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Core Test Widgets PrintSupport Svg)

if(ANDROID)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS AndroidExtras)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        "OKULAR_EXPORT_PLUGIN"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Completion
    Config
    ConfigWidgets
    CoreAddons
    I18n
    KIO
    ThreadWeaver
    WindowSystem
)

find_package(KF5Wallet ${KF5_REQUIRED_VERSION})
set_okular_optional_package_properties(KF5Wallet PROPERTIES
    PURPOSE "Required for document storing passwords in secure wallets.")
if(KF5Wallet_FOUND)
    set(HAVE_KWALLET 1)
else()
    set(HAVE_KWALLET 0)
endif()

find_package(KF5DocTools ${KF5_REQUIRED_VERSION})
set_okular_optional_package_properties(KF5DocTools PROPERTIES
    PURPOSE "Required for compiling and installing the user documentation.")

find_package(Qt5Qml)
set_okular_optional_package_properties(Qt5Qml PROPERTIES
    PURPOSE "Required for supporting JavaScript in PDF documents")
if(TARGET Qt5::Qml)
    set(HAVE_JS 1)
else()
    set(HAVE_JS 0)
endif()

if (BUILD_DESKTOP)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS DBus)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS Parts Crash IconThemes TextWidgets)

    find_package(KF5Purpose)
    set_okular_optional_package_properties(KF5Purpose PROPERTIES
        DESCRIPTION "A framework for services and actions integration"
        PURPOSE "Required for enabling the share menu.")
    if (KF5Purpose_FOUND)
        set(HAVE_PURPOSE 1)
    else()
        set(HAVE_PURPOSE 0)
    endif()

    find_package(Qt5TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
    set_okular_optional_package_properties(Qt5TextToSpeech PROPERTIES
        PURPOSE "Enables speech features.")
    if (Qt5TextToSpeech_FOUND)
        set(HAVE_SPEECH 1)
    else()
        set(HAVE_SPEECH 0)
    endif()
endif()

if (BUILD_MOBILE)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Qml Quick)
    find_package(KF5Kirigami2)
    set_package_properties(KF5Kirigami2 PROPERTIES
        DESCRIPTION "A QtQuick based components set"
        PURPOSE "Required at runtime by the mobile app"
        TYPE RUNTIME
    )
endif()

if(NOT WIN32 AND NOT ANDROID AND NOT APPLE)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
        Activities
    )
    set_package_properties("KF5Activities" PROPERTIES
        DESCRIPTION  "Activities interface library"
        URL "https://api.kde.org/frameworks/kactivities/html/"
        PURPOSE "Required for Activities integration.")

    find_package(Qt5X11Extras REQUIRED)
    set(HAVE_X11 TRUE)
else()
    set(HAVE_X11 FALSE)
endif()
find_package(Phonon4Qt5 CONFIG)
set_okular_optional_package_properties(Phonon4Qt5 PROPERTIES
    PURPOSE "Required for documents with audio or video elements")
if (Phonon4Qt5_FOUND)
    set(HAVE_PHONON 1)
else()
    set(HAVE_PHONON 0)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(ZLIB REQUIRED)

find_package(Poppler "22.02.0" COMPONENTS Qt5)
set_okular_optional_package_properties(Poppler PROPERTIES
        PURPOSE "Support for PDF files in okular.")

find_package(Freetype)
set_okular_optional_package_properties(Freetype PROPERTIES
        DESCRIPTION  "A font rendering engine"
        URL "https://www.freetype.org"
        PURPOSE "Provides freetype font support in the okular DVI generator.")

find_package(TIFF)
set_okular_optional_package_properties(TIFF PROPERTIES
        DESCRIPTION  "A library for reading and writing TIFF formatted files,"
        URL "http://www.libtiff.org"
        PURPOSE "Support for TIFF files in okular.")

find_package(JPEG)
set_okular_optional_package_properties(JPEG PROPERTIES
        DESCRIPTION  "A library for reading and writing JPEG image files."
        URL "https://www.ijg.org"
        PURPOSE "Support for PalmDB documents in okular.")

set(LIBSPECTRE_MINIMUM_VERSION "0.2")
find_package(LibSpectre "${LIBSPECTRE_MINIMUM_VERSION}")
set_okular_optional_package_properties(LibSpectre PROPERTIES
        DESCRIPTION  "A PostScript rendering library"
        URL "https://libspectre.freedesktop.org"
        PURPOSE "Support for PS files in okular.")

find_package(KF5KExiv2 CONFIG)
set_okular_optional_package_properties(KF5KExiv2 PROPERTIES
        DESCRIPTION  "Wrapper around Exiv2 library"
        URL "https://commits.kde.org/libkexiv2"
        PURPOSE "Support for exif rotation in image files.")

find_package(CHM)
set_okular_optional_package_properties(CHM PROPERTIES
        DESCRIPTION  "A library for dealing with Microsoft ITSS/CHM format files"
        URL "http://www.jedrea.com/chmlib"
        PURPOSE "Support CHM files in okular.")

find_package(KF5KHtml CONFIG)
set_okular_optional_package_properties(KF5KHtml PROPERTIES
        DESCRIPTION "HTML rendering library"
        PURPOSE "Support CHM files in okular.")

find_package(LibZip)
set_okular_optional_package_properties(LibZip PROPERTIES
        DESCRIPTION  "A library for reading, creating, and modifying zip archives"
        URL "https://libzip.org/"
        PURPOSE "Support CHM files in okular.")

find_package(DjVuLibre "3.5.28")
set_okular_optional_package_properties(DjVuLibre PROPERTIES
        DESCRIPTION  "A library for dealing with DjVu formatted files"
        URL "https://djvulibre.djvuzone.org"
        PURPOSE "Support for DjVu files in okular.")

find_package(EPub)
set_okular_optional_package_properties(EPub PROPERTIES
        DESCRIPTION  "A library for reading EPub documents"
        URL "http://sourceforge.net/projects/ebook-tools"
        PURPOSE "Support for EPub documents in Okular.")

find_package(QMobipocket "2" CONFIG)
set_okular_optional_package_properties(QMobipocket PROPERTIES
        DESCRIPTION  "A library for reading Mobipocket documents"
        URL "https://commits.kde.org/kdegraphics-mobipocket"
        PURPOSE "Support for Mobipocket documents in Okular.")

find_package(Discount)
set_okular_optional_package_properties(Discount PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        PURPOSE "Support for Markdown documents in Okular.")

add_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x050F02)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x055C00)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PHONON_INCLUDES} core/synctex ${CMAKE_BINARY_DIR}/core)

option(BUILD_COVERAGE "Build the project with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

add_subdirectory( icons ) # an own directory for multi-size icons retrieved by KIconThemeLoader
add_subdirectory( part )
if(BUILD_DESKTOP)
    add_subdirectory( shell )
endif()
add_subdirectory( generators )

if(BUILD_MOBILE)
    add_subdirectory( mobile )
endif()

if(BUILD_TESTING)
   add_subdirectory( autotests )
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

include(OkularConfigureChecks.cmake)

if(NOT WIN32)
 set(MATH_LIB m)
else(NOT WIN32)
 set(MATH_LIB)
endif(NOT WIN32)

# okularcore

set(okularcore_SRCS
   core/action.cpp
   core/annotations.cpp
   core/area.cpp
   core/audioplayer.cpp
   core/bookmarkmanager.cpp
   core/chooseenginedialog.cpp
   core/document.cpp
   core/documentcommands.cpp
   core/fontinfo.cpp
   core/form.cpp
   core/generator.cpp
   core/generator_p.cpp
   core/misc.cpp
   core/movie.cpp
   core/observer.cpp
   core/debug.cpp
   core/page.cpp
   core/pagecontroller.cpp
   core/pagesize.cpp
   core/pagetransition.cpp
   core/rotationjob.cpp
   core/scripter.cpp
   core/sound.cpp
   core/sourcereference.cpp
   core/textdocumentgenerator.cpp
   core/textdocumentsettings.cpp
   core/textpage.cpp
   core/tilesmanager.cpp
   core/utils.cpp
   core/view.cpp

=== autotests/CMakeLists.txt ===
add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

macro(add_conf_unittest _source)
  set(_test ${_source} ../part/editdrawingtooldialog.cpp)
  get_filename_component(_name ${_source} NAME_WE)
  add_executable( ${_name} ${_test} )
  add_test( NAME ${_name} COMMAND ${_name} )
  ecm_mark_as_test(${_name})
  target_link_libraries( ${_name}
    Qt5::Test
    Qt5::Widgets
    Qt5::Xml
    KF5::I18n
    KF5::Completion
    KF5::WidgetsAddons
  )
endmacro ()

add_conf_unittest(editdrawingtooldialogtest.cpp)

ecm_add_test(shelltest.cpp ../shell/shellutils.cpp
    TEST_NAME "shelltest"
    LINK_LIBRARIES Qt5::Test okularcore
)

if(Poppler_Qt5_FOUND)
    if (BUILD_DESKTOP)
        ecm_add_test(parttest.cpp closedialoghelper.cpp
            TEST_NAME "parttest"
            LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore okularpart
        )
    endif()

    ecm_add_test(visibilitytest.cpp
        TEST_NAME "visibilitytest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )

    ecm_add_test(jsfunctionstest.cpp
        TEST_NAME "jsfunctionstest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )

    ecm_add_test(formattest.cpp
        TEST_NAME "formattest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )

    ecm_add_test(keystroketest.cpp
        TEST_NAME "keystroketest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )

    ecm_add_test(signunsignedfieldtest.cpp
        TEST_NAME "signunsignedfieldtest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )
endif()

ecm_add_test(suggestedfilenametest.cpp
    TEST_NAME "suggestedfilenametest"
    LINK_LIBRARIES Qt5::Test okularcore KF5::I18n
)

ecm_add_test(documenttest.cpp
    TEST_NAME "documenttest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore KF5::ThreadWeaver
)

ecm_add_test(searchtest.cpp
    TEST_NAME "searchtest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(annotationstest.cpp
    TEST_NAME "annotationstest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(urldetecttest.cpp
    TEST_NAME "urldetecttest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml KF5::CoreAddons
)

ecm_add_test(editannotationcontentstest.cpp testingutils.cpp
    TEST_NAME "editannotationcontentstest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(addremoveannotationtest.cpp testingutils.cpp
    TEST_NAME "addremoveannotationtest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(translateannotationtest.cpp testingutils.cpp
    TEST_NAME "translateannotationtest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(modifyannotationpropertiestest.cpp testingutils.cpp
    TEST_NAME "modifyannotationpropertiestest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
)

ecm_add_test(editformstest.cpp
    TEST_NAME "editformstest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
)

ecm_add_test(calculatetexttest.cpp
    TEST_NAME "calculatetexttest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
)

if(KF5Activities_FOUND AND BUILD_DESKTOP)
	ecm_add_test(mainshelltest.cpp ../shell/okular_main.cpp ../shell/shellutils.cpp ../shell/shell.cpp ../shell/welcomescreen.cpp ../shell/recentitemsmodel.cpp closedialoghelper.cpp
		TEST_NAME "mainshelltest"
		LINK_LIBRARIES Qt5::Test KF5::Activities okularpart okularcore
	)
	target_compile_definitions(mainshelltest PRIVATE OKULAR_BINARY="$<TARGET_FILE:okular>")

	if (HAVE_X11)
        target_link_libraries(mainshelltest Qt5::X11Extras)
    endif()
endif()

if(BUILD_DESKTOP)
    ecm_add_test(annotationtoolbartest.cpp ../shell/okular_main.cpp ../shell/shellutils.cpp ../shell/shell.cpp ../shell/welcomescreen.cpp ../shell/recentitemsmodel.cpp closedialoghelper.cpp ../shell/welcomescreen.ui
        TEST_NAME "annotationtoolbartest"
        LINK_LIBRARIES Qt5::Test okularpart
    )

    if (HAVE_X11)
        target_link_libraries(annotationtoolbartest Qt5::X11Extras)
    endif()
endif()

ecm_add_test(generatorstest.cpp
    TEST_NAME "generatorstest"
    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
)
target_compile_definitions(generatorstest PRIVATE GENERATORS_BUILD_DIR="${CMAKE_BINARY_DIR}/generators")

ecm_add_test(signatureformtest.cpp
    TEST_NAME "signatureformtest"
    LINK_LIBRARIES Qt5::Test okularcore
)

find_package(Discount)

if(Discount_FOUND)
    ecm_add_test(markdowntest.cpp ../generators/markdown/converter.cpp
        TEST_NAME "markdowntest"
        LINK_LIBRARIES Qt5::Test okularcore KF5::I18n PkgConfig::Discount
    )
endif()

ecm_add_test(toggleactionmenutest.cpp ../part/toggleactionmenu.cpp
    TEST_NAME "toggleactionmenutest"
    LINK_LIBRARIES Qt5::Test KF5::WidgetsAddons
)

=== generators/kimgio/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_kimgio")

########### next target ###############

okular_add_generator(okularGenerator_kimgio generator_kimgio.cpp)
target_link_libraries(okularGenerator_kimgio okularcore KF5::I18n)

if(KF5KExiv2_FOUND)
    target_compile_definitions(okularGenerator_kimgio PRIVATE -DWITH_KEXIV=1)
    target_link_libraries(okularGenerator_kimgio KF5::KExiv2)
endif()

if(BUILD_TESTING AND BUILD_DESKTOP AND KF5KExiv2_FOUND)
    add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
    set( kimgiotest_SRCS tests/kimgiotest.cpp ${CMAKE_SOURCE_DIR}/gui/pagepainter.cpp ${CMAKE_SOURCE_DIR}/gui/guiutils.cpp ${CMAKE_SOURCE_DIR}/gui/debug_ui.cpp )
    ecm_add_test(${kimgiotest_SRCS} TEST_NAME "kimgiotest" LINK_LIBRARIES okularcore okularpart Qt5::Svg Qt5::Test)
    target_compile_definitions(kimgiotest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_kimgio>")
endif()


########### install files ###############
install( FILES okularKimgio.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_kimgio.desktop org.kde.mobile.okular_kimgio.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-kimgio.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/plucker/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_plucker")

set(qunpluck_SRCS
    unpluck/config.cpp
    unpluck/image.cpp
    unpluck/qunpluck.cpp
    unpluck/unpluck.cpp
    unpluck/util.cpp
)

########### next target ###############

set(okularGenerator_plucker_SRCS
  generator_plucker.cpp
)

okular_add_generator(okularGenerator_plucker ${okularGenerator_plucker_SRCS} ${qunpluck_SRCS})

target_include_directories(okularGenerator_plucker PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/unpluck)
target_link_libraries(okularGenerator_plucker okularcore KF5::I18n ${MATH_LIB} JPEG::JPEG ZLIB::ZLIB)

########### install files ###############
install( FILES okularPlucker.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_plucker.desktop org.kde.mobile.okular_plucker.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-plucker.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/poppler/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_poppler")

add_subdirectory( conf )

set(CMAKE_REQUIRED_LIBRARIES Poppler::Qt5 Qt5::Core Qt5::Gui)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

########### next target ###############

set(okularGenerator_poppler_PART_SRCS
   generator_pdf.cpp
   formfields.cpp
   annots.cpp
   pdfsignatureutils.cpp
   pdfsettingswidget.cpp
   imagescaling.cpp
)

ki18n_wrap_ui(okularGenerator_poppler_PART_SRCS
   conf/pdfsettingswidget.ui
)

kconfig_add_kcfg_files(okularGenerator_poppler_PART_SRCS GENERATE_MOC conf/pdfsettings.kcfgc )

okular_add_generator(okularGenerator_poppler ${okularGenerator_poppler_PART_SRCS})

target_link_libraries(okularGenerator_poppler okularcore KF5::I18n KF5::Completion KF5::KIOWidgets Poppler::Qt5 Qt5::Xml)

########### autotests ###############

ecm_add_test(autotests/testimagescaling.cpp
    TEST_NAME "imageScalingTest"
    LINK_LIBRARIES Qt5::Test Qt5::Gui
)

########### install files ###############
install( FILES okularPoppler.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_pdf.desktop org.kde.mobile.okular_pdf.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-poppler.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== mobile/components/CMakeLists.txt ===
set(okular_SRCS
    okularplugin.cpp
    ${CMAKE_SOURCE_DIR}/gui/guiutils.cpp
    ${CMAKE_SOURCE_DIR}/gui/tocmodel.cpp
    ${CMAKE_SOURCE_DIR}/gui/signaturemodel.cpp
    ${CMAKE_SOURCE_DIR}/gui/signatureguiutils.cpp
    ${CMAKE_SOURCE_DIR}/gui/certificatemodel.cpp
    ${CMAKE_SOURCE_DIR}/gui/pagepainter.cpp
    ${CMAKE_SOURCE_DIR}/gui/debug_ui.cpp
    pageitem.cpp
    documentitem.cpp
    thumbnailitem.cpp
    okularsingleton.cpp
    )

kconfig_add_kcfg_files(okular_SRCS GENERATE_MOC ${CMAKE_SOURCE_DIR}/conf/settings_mobile.kcfgc)

add_library(okularplugin SHARED ${okular_SRCS})
set_target_properties(okularplugin PROPERTIES COMPILE_DEFINITIONS "okularpart_EXPORTS")
target_link_libraries(okularplugin
        Qt5::Quick
        Qt5::Qml
        Qt5::Core
        Qt5::Xml
        Qt5::Svg
        KF5::Bookmarks
        KF5::I18n
        KF5::Service
        okularcore
        )

if(ANDROID)
    target_link_libraries(okularplugin Qt5::AndroidExtras)
endif()

install(TARGETS okularplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular)
install(FILES DocumentView.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular)
install(FILES private/PageView.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular/private)

#add_subdirectory(test)

=== debian/changelog ===
okular (4:23.08.5-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5printsupport5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:43 +0200

okular (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:11:06 +0000

okular (4:23.08.5-0ubuntu3) noble; urgency=high

  * No change rebuild against libpoppler-qt5-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:46 +0100

okular (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:07:51 +0000

okular (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:29:25 -0700

okular (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:23:29 +0000

okular (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:58 +0000

okular (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:09 +0100

okular (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:17 +0100

okular (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:12 +0100

okular (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)
  * Rename package according to upstream soname bump:
    - libokular5core10 -> libokular5core11

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:37 +0100

okular (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:14 +0100

okular (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libqt5x11extras5-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:20 +0100

okular (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:24 +0000

okular (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:30:16 -0600

okular (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:47 +0000

okular (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend extra backends and qtspeech plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 17:59:35 +0000

okular (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend extra backends and qtspeech plugin.
    - Kubuntu breaks/replaces versions.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:56:07 +0000

okular (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:18:18 +0000

okular (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:14:30 +0000

okular (4:22.11.80-0ubuntu2) lunar; urgency=medium

  * Add qtbase5-private-dev to -dev package depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Nov 2022 20:00:24 +0000

okular (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:56:30 +0000

okular (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:17:11 +0000

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               kirigami2-dev (>= 5.85.0~),
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.68.0~),
               libkf5archive-dev (>= 5.68.0~),
               libkf5bookmarks-dev (>= 5.68.0~),
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5kexiv2-dev (>= 23.08.5~),
               libkf5khtml-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5kjs-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5pty-dev (>= 5.68.0~),
               libkf5purpose-dev (>= 5.68.0~),
               libkf5textwidgets-dev (>= 5.68.0~),
               libkf5threadweaver-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.86.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:23.08.5~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5texttospeech5-dev (>= 5.12.0~),
               libqt5x11extras5-dev,
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libzip-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/okular
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular5core11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-bsd, okular-extra-backends, qtspeech5-flite-plugin
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 Additional document formats are in the okular-extra-backends package.
 .
 The Calligra suite provides Okular plugins for OpenDocument formats that can
 be found in the okular-backend-odt and okular-backend-odp packages.
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.68.0~),
         libkf5coreaddons-dev (>= 5.68.0~),
         libkf5xmlgui-dev (>= 5.68.0~),
         libokular5core11 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         qtbase5-private-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * DeJaVu Format
  * TIFF Image Format
  * Microsoft CHM Format
  * EPUB
  * Markdown
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.68.0~),
         qml-module-qtgraphicaleffects (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.68.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.68.0~),
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick-dialogs (>= 5.12.0~),
         qml-module-qtquick-layouts (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## okular 24.05.2

=== debian/changelog ===
okular (4:24.05.2-2ubuntu3) oracular; urgency=medium

  * Patch symbols for remaining arches. 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 08:17:54 -0700

okular (4:24.05.2-2ubuntu2) oracular; urgency=medium

  * Patch symbols for riscv64.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 05:04:17 -0700

okular (4:24.05.2-2ubuntu1) oracular; urgency=medium

  [ Rik Mills]
  * Kubuntu Vcs and maintainer.
  * Recommend okular-extra-backends.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 04 Sep 2024 02:20:53 -0700

okular (4:24.05.2-2) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Clean up unneeded KF5 dependencies.
  * Add missing runtime dependencies for the kirigami/mobile version.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Aug 2024 11:06:36 +0200

okular (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake. (Closes: #1050015)
  * Use dh-sequence-kf6.
  * Remove CHM support from package descriptions.
  * Rename libokular5core11 to libokular6core1.
  * Update list of installed files from build logs.
  * pkg-config -> pkgconf.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Generate libokular6core1.symbols.
  * Remove unused lintian overrides.
  * Override lintian W: no-manual-page for okularkirigami.
  * Rename qml-module-org-kde-okular to qml6-module-org-kde-okular.
  * Update copyright info.
  * Split arch:all files into okular-doc and okular-data.

  [ Aurélien COUDERC ]
  * Drop obsolete maintainer script.
  * More copyright information refresh.
  * Update homepage to the specific Okular website.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Aug 2024 00:23:32 +0200

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               libdjvulibre-dev (>= 3.5.28~),
               libepub-dev,
               libfreetype-dev,
               libkexiv2qt6-dev (>= 24.05~),
               libkf6archive-dev (>= 5.240.0~),
               libkf6bookmarks-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6pty-dev (>= 5.240.0~),
               libkf6purpose-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6threadweaver-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libmarkdown2-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libplasmaactivities-dev,
               libpoppler-qt6-dev (>= 22.02.0~),
               libqca-qt6-dev (>= 2.1.0~),
               libqmobipocket6-dev (>= 4:24.05~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libzip-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-speech-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://okular.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular6core1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: okular-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups-bsd, okular-extra-backends, okular-doc,
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer,
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 Additional document formats are in the okular-extra-backends package.
 .
 The Calligra suite provides Okular plugins for OpenDocument formats that can
 be found in the okular-backend-odt and okular-backend-odp packages.
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 5.240.0~),
         libkf6coreaddons-dev (>= 5.240.0~),
         libkf6xmlgui-dev (>= 5.240.0~),
         libokular6core1 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         qt6-base-private-dev (>= 6.6.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-data
Section: graphics
Architecture: all
Depends: ${misc:Depends},
Breaks: okular (<< 4:24.05.2-1~),
Replaces: okular (<< 4:24.05.2-1~),
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package contains architecture-independent data files.

Package: okular-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: okular (<< 4:24.05.2-1~),
Replaces: okular (<< 4:24.05.2-1~),
Description: universal document viewer - manual
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package contains the HTML documentation.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: okular,
Provides: djvu-viewer,
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * DeJaVu Format
  * TIFF Image Format
  * EPUB
  * Markdown
 .
 This package is part of the KDE graphics module.

Package: qml6-module-org-kde-okular
Architecture: any
Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
         qml6-module-org-kde-kirigami (>= 5.240.0~),
         qml6-module-qtquick (>= 6.6.0~),
         qml6-module-qtquick-controls (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
         qml6-module-org-kde-kirigami (>= 5.240.0~),
         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
	 qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
         qml6-module-org-kde-okular (= ${binary:Version}),
         qml6-module-qtcore (>= 6.6.0~),
         qml6-module-qtqml-workerscript (>= 6.6.0~),
         qml6-module-qtquick (>= 6.6.0~),
         qml6-module-qtquick-controls (>= 6.6.0~),
         qml6-module-qtquick-dialogs (>= 6.6.0~),
         qml6-module-qtquick-layouts (>= 6.6.0~),
         qml6-module-qtquick-templates (>= 6.6.0~),
         qml6-module-qtquick-window (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Recommends: okular,
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both
+	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both
 
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
